package channel

import (
	"context"

	v2 "kami/api/channel/v2"
	"kami/internal/model"
	"kami/internal/systemV2/service"
)

func (c *ControllerV2) EntranceCreate(ctx context.Context, req *v2.EntranceCreateReq) (res *v2.EntranceCreateRes, err error) {
	entrance := service.Entrance()
	err = entrance.Add(ctx, model.EntranceInput{req.Entrance})
	return
}
